Subject: FVWM: fvwm-2.0.41/libs/Imakefile patch + link buglet

From: "Scott J. Kramer" <[email-masked]>
Date: Wed, 28 Feb 1996 19:44:13 -0800

I'm reporting this since I don't see any mention of it in the 1996 fvwm list
archives:

    sjk@halo> pwd; rcsdiff -r1.1 -c libs/Imakefile
    /opt/X11/src/fvwm-2.0.41
    ===================================================================
    RCS file: libs/RCS/Imakefile,v
    retrieving revision 1.1
    diff -c -r1.1 libs/Imakefile
    *** libs/Imakefile      1996/02/17 01:17:27     1.1
    --- libs/Imakefile      1996/02/29 02:23:41
    ***************
    *** 2,7 ****
    --- 2,8 ----
       * Imakefile for fvwm 2.0 -- libfvwm2.a
       */
      
    + FVWM_SRCDIR = ..
      #include "../Fvwm.tmpl"
      
      SRCS = \

			+	+	+

There's also a slight problem with the special Fvwm{Module,Program}Target rules
in Fvwm.tmpl because of the explicit use of $(CC) for linking, which overrides
the $(CCLINK) linking rule that X11R6 imake (at least) uses to provide default
runpath directories for the runtime linker.  That probably doesn't make much
sense, so... compare these two targets in $FVWM_ROOT/fvwm/Makefile:

v2.0.40
-------
  fvwm: $(OBJS) $(DEPLIBS)
        $(RM) $@
        $(CCLINK) -o $@ $(LDOPTIONS) $(OBJS) $(LOCAL_LIBRARIES) $(LDLIBS)  $(EXTRA_LOAD_FLAGS)

v2.0.41
-------
  fvwm2: $(OBJS) $(DEPLIBS)
        $(RM) $@
        $(CC) -o $@ $(OBJS) $(LDOPTIONS) $(LOCAL_LIBRARIES) $(LDLIBS) $(EXTRA_LOAD_FLAGS)

A quick-and-dirty fix is trivial for my purposes, but hopefully someone with
more understanding of the special rules in Fvwm.tmpl, imake, etc. can provide
a generalized patch.  I run Solaris 2.5, OpenWindows 3.5 Xsun server, alot of
X11R6-built apps, gcc 2.7.2.

Anyway, it's great to be able to compile a working fvwm2 with the only changes
made to Fvwm.tmpl.  Thanks!

-sjk

-- 
Scott J. Kramer					264A W. California Avenue
UNIX Software Consultant			Sunnyvale, CA 94086, USA
<[email-masked]>					+1.408.736.9242
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].